Bug 1021886 - There is no way how to create a deployment unit for a kjar remotely
There is no way how to create a deployment unit for a kjar remotely
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
high Severity medium
: ER6
: 6.0.0
Assigned To: Marco Rietveld
Ivo Bek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-22 05:26 EDT by Ivo Bek
Modified: 2016-09-20 01:05 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:10:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ivo Bek 2013-10-22 05:26:32 EDT
Description of problem:

Currently, a deployed kjar via maven-wagon doesn't have its deployment unit, so it's not possible to start any business process. To create the deployment unit, user is pushed to create one manually in Deployment Units view. Business central REST API doesn't provide any method to create a deployment unit for a kjar remotely.
Comment 1 Kris Verlaenen 2013-10-23 09:09:03 EDT
Deploying through REST api is currently not supported.  Manually creating the deployment through the UI, or creating a deployment using the command line tool are the recommended approaches.
Comment 2 Marek Baluch 2013-10-30 06:32:43 EDT
Not a test blocker. We can get around that with Selenium.
Comment 6 Ivo Bek 2014-01-02 09:14:24 EST
Verified in BPMS 6.0.0.ER7

Note You need to log in before you can comment on or make changes to this bug.